# MarkupPalette

Class in [Yarn.Unity](/api/csharp/yarn.unity.md)

Inherits from `UnityEngine.ScriptableObject`

## Summary

Represents a collection of marker names and colours.

```csharp
public sealed class MarkupPalette : ScriptableObject
```

## Remarks

This is intended to be used with the [LinePresenter](/api/csharp/yarn.unity/yarn.unity.linepresenter.md) , and also be a sample of using the markup system.

## Fields

| Name                                                                                                       | Description                                                      |
| ---------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------- |
| [BasicMarkers](/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.basicmarkers.md)   | A list containing all the color markers defined in this palette. |
| [CustomMarkers](/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.custommarkers.md) |                                                                  |

## Methods

| Name                                                                                                                                  | Description                                                        |
| ------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------ |
| [ColorForMarker(string,Color)](/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.colorformarker.md)            | Determines the colour for a particular marker inside this palette. |
| [PaletteForMarker(string,CustomMarker)](/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.paletteformarker.md) |                                                                    |

## Structs

| Name                                                                                                     | Description                                                                         |
| -------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------- |
| [BasicMarker](/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.basicmarker.md)   | Contains information describing the formatting style of text within a named marker. |
| [CustomMarker](/api/csharp/yarn.unity/yarn.unity.markuppalette/yarn.unity.markuppalette.custommarker.md) |                                                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.markuppalette.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
